Summary: International fonts for Emacs 20
Name: intlfonts
Version: 1.2
Release: 1.PU_IAS.2
Copyright: GPL
Group: User Interface/X
Source: http://ftp.gnu.org/pub/gnu/intlfonts/intlfonts-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://www.gnu.org/directory/Localization/intlfonts.html
BuildArch: noarch
%define fontdest %{_prefix}/share/fonts/emacs

%description
This package contains free X11 fonts for all characters that Emacs 20 can handle.  They are classified into several categories (e.g Asian, European) that are contained in separate subpackages.  This package just contains the directory where other fonts get deposited.

%package Asian
Group: User Interface/X
Requires: intlfonts
Summary: Asian International fonts for Emacs 20

%description Asian
This package contains asian free X11 fonts for all characters that Emacs 20 can handle.

%package Chinese
Group: User Interface/X
Requires: intlfonts
Summary: Chinese International fonts for Emacs 20

%description Chinese
This package contains chinese free X11 fonts for all characters that Emacs 20 can handle.

%package Ethiopic
Group: User Interface/X
Requires: intlfonts
Summary: Ethiopic International fonts for Emacs 20

%description Ethiopic
This package contains ethiopic free X11 fonts for all characters that Emacs 20 can handle.

%package European
Group: User Interface/X
Requires: intlfonts
Summary: European International fonts for Emacs 20

%description European
This package contains european free X11 fonts for all characters that Emacs 20 can handle.

%package Japanese
Group: User Interface/X
Requires: intlfonts
Summary: Japanese International fonts for Emacs 20

%description Japanese
This package contains japanese free X11 fonts for all characters that Emacs 20 can handle.

%package Korean
Group: User Interface/X
Requires: intlfonts
Summary: Korean International fonts for Emacs 20

%description Korean
This package contains korean free X11 fonts for all characters that Emacs 20 can handle.

%package TrueType
Group: User Interface/X
Requires: intlfonts
Summary: TrueType International fonts for Emacs 20

%description TrueType
This package contains truetype free X11 fonts for all characters that Emacs 20 can handle.  These are various latin-1,2,3,4,5 fonts in roman, bold, italic, bold-italic and vietnamese.

%package Type1
Group: User Interface/X
Requires: intlfonts
Summary: Type1 International fonts for Emacs 20

%description Type1
This package contains type1 free X11 fonts for all characters that Emacs 20 can handle.  These are various latin-1,2,3,4,5 fonts in roman, bold, italic, b
old-italic, thai and vietnamese.



%prep
%setup
%configure --with-fontdir=%{fontdest} --enable-compress=gzip --with-bdf=no --with-type1 --with-truetype

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{fontdest}
for i in Asian Chinese Ethiopic European Japanese Korean; do
	if [ -d $i ]; then
		SUBDIRS=$i
	else
		SUBDIRS=""
	fi
	if [ -d $i.BIG ]; then
		SUBDIRS_BIG=$i.BIG
	else
		SUBDIRS_BIG=""
	fi
	if [ -d $i.X ]; then
		SUBDIRS_X=$i.X
	else
		SUBDIRS_X=""
	fi
	make fontdir=$RPM_BUILD_ROOT%{fontdest}/$i SUBDIRS=$SUBDIRS SUBDIRS_X=$SUBDIRS_X SUBDIRS_BIG=$SUBDIRS_BIG  pcf
	cat ${i}*/README > README.$i
done
make fontdir=$RPM_BUILD_ROOT%{fontdest} truetype
ttmkfdir -d $RPM_BUILD_ROOT%{fontdest}/TrueType -o $RPM_BUILD_ROOT%{fontdest}/TrueType/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{fontdest}/TrueType
make fontdir=$RPM_BUILD_ROOT%{fontdest} type1
chmod -R u+rw,a+rX $RPM_BUILD_ROOT%{fontdest}
sleep 5
touch $RPM_BUILD_ROOT%{fontdest}/*/fonts.dir

%clean
rm -rf $RPM_BUILD_ROOT

%post Asian
/usr/sbin/chkfontpath -q -a %{fontdest}/Asian
fc-cache %{fontdest}

%postun Asian
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/Asian
	fc-cache %{fontdest}
fi

%post Chinese
/usr/sbin/chkfontpath -q -a %{fontdest}/Chinese
fc-cache %{fontdest}

%postun Chinese
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/Chinese
	fc-cache %{fontdest}
fi

%post Ethiopic
/usr/sbin/chkfontpath -q -a %{fontdest}/Ethiopic
fc-cache %{fontdest}

%postun Ethiopic
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/Ethiopic
	fc-cache %{fontdest}
fi

%post European
/usr/sbin/chkfontpath -q -a %{fontdest}/European
fc-cache %{fontdest}

%postun European
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/European
	fc-cache %{fontdest}
fi

%post Japanese
/usr/sbin/chkfontpath -q -a %{fontdest}/Japanese
fc-cache %{fontdest}

%postun Japanese
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/Japanese
	fc-cache %{fontdest}
fi

%post Korean
/usr/sbin/chkfontpath -q -a %{fontdest}/Korean
fc-cache %{fontdest}

%postun Korean
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/Korean
	fc-cache %{fontdest}
fi

%post TrueType
/usr/sbin/chkfontpath -q -a %{fontdest}/TrueType
fc-cache %{fontdest}

%postun TrueType
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/TrueType
	fc-cache %{fontdest}
fi

%post Type1
/usr/sbin/chkfontpath -q -a %{fontdest}/Type1
fc-cache %{fontdest}

%postun Type1
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{fontdest}/Type1
	fc-cache %{fontdest}
fi

%files
%defattr(644,root,root,755)
%dir %{fontdest}

%files Asian
%defattr(644,root,root,755)
%doc README.Asian
%{fontdest}/Asian

%files Chinese
%defattr(644,root,root,755)
%doc README.Chinese
%{fontdest}/Chinese

%files Ethiopic
%defattr(644,root,root,755)
%doc README.Ethiopic
%{fontdest}/Ethiopic

%files European
%defattr(644,root,root,755)
%doc README.European
%{fontdest}/European

%files Japanese
%defattr(644,root,root,755)
%doc README.Japanese
%{fontdest}/Japanese

%files Korean
%defattr(644,root,root,755)
%doc README.Korean
%{fontdest}/Korean

%files TrueType
%defattr(644,root,root,755)
%doc TrueType/README
%{fontdest}/TrueType

%files Type1
%defattr(644,root,root,755)
%doc Type1/README
%{fontdest}/Type1

%changelog
* Fri May 02 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for RH 9
